Package org.eclipse.mat.inspections.osgi.model.eclipse

## Class Extension

- java.lang.Object
- - org.eclipse.mat.inspections.osgi.model.eclipse.Extension

    public class Extension
    extends Object

### Constructor Summary

Constructors
`Extension​(int objectId, Integer extensionId, String[] properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfigurationElement​(ConfigurationElement configurationElement)`
`boolean` `equals​(Object obj)`
`List<ConfigurationElement>` `getConfigurationElements()`
`BundleDescriptor` `getContributedBy()` Get descriptor of the bundle contributing this extension
`String` `getContributorId()` Get unique id of the bundle contributing this extension
`Integer` `getExtensionId()` Get extension's unique identifier.
`String` `getLabel()`
`String` `getName()`
`int` `getObjectId()` Get objectId of the Extension in the heap dump
`int` `hashCode()`
`void` `setContributedBy​(BundleDescriptor contributedBy)`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Extension

    public Extension​(int objectId,
                     Integer extensionId,
                     String[] properties)

### Method Detail

#### getObjectId

    public int getObjectId()

Get objectId of the Extension in the heap dump

Returns:
  int objectId

#### getExtensionId

    public Integer getExtensionId()

Get extension's unique identifier. This extension is assigned a unique identifier by the Framework.

Returns:
  Integer extension's unique identifier

#### getName

    public String getName()

Returns:
  String extension's fully qualified name

#### getLabel

    public String getLabel()

Returns:
  String human readable name of the extension

#### getContributorId

    public String getContributorId()

Get unique id of the bundle contributing this extension

Returns:
  String unique id of the bundle contributing this extension

#### setContributedBy

    public void setContributedBy​(BundleDescriptor contributedBy)

#### getContributedBy

    public BundleDescriptor getContributedBy()

Get descriptor of the bundle contributing this extension

Returns:
  BundleDescriptor of the bundle contributing this extension

#### getConfigurationElements

    public List<ConfigurationElement> getConfigurationElements()

#### addConfigurationElement

    public void addConfigurationElement​(ConfigurationElement configurationElement)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`